import { Address } from './address.type';
import { UserFarmRole } from './../visit/userFarmRole.type';
import { BasicREntity } from '../basicR.type';
import { Permission } from './permission.type';
export declare class User extends BasicREntity {
    name: string;
    email: string;
    phones?: string;
    address?: Address;
    relog: boolean;
    tutorial: boolean;
    password: string;
    userFarmRoles?: UserFarmRole[];
    permissions?: Permission[];
}
