import { BasicREntity } from '../basicR.type';
import { User } from '../app/user.type';
import { Farm } from './farm.type';
import { Visit } from './visit.type';
export declare enum FarmRole {
    OWNER = 1,
    CONSULTANT = 2,
    CONSULTANT_AUX = 3,
    WORKER = 4
}
export declare class UserFarmRole extends BasicREntity {
    user: User;
    farm: Farm;
    role: FarmRole;
    supervisor?: UserFarmRole;
    visits?: Visit[];
}
